Page MenuHomePhabricator

copies: no longer change the sidedata flag
ClosedPublic

Authored by marmoute on Sep 28 2020, 12:32 PM.

Details

Summary

With the new sidedata storage that include data about all file changes, every
revision has one, so the sidedata flag is not longer a good way to spot
changeset with copy information. So we drop this check to simplify the code

We optimisation itself provided an interesting speedup, so we will likely
reintroduce something similar, with a dedicated flag, in the future.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Sep 28 2020, 12:32 PM
Alphare accepted this revision.Oct 2 2020, 4:38 AM
pulkit accepted this revision.Oct 6 2020, 4:23 AM
This revision is now accepted and ready to land.Oct 6 2020, 4:23 AM
This revision was automatically updated to reflect the committed changes.